メインコンテンツへスキップ
GET
/
cms
/
blog-settings
/
2026-03
/
settings
全てのブログを取得
curl --request GET \
  --url https://api.hubapi.com/cms/blog-settings/2026-03/settings \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.hubapi.com/cms/blog-settings/2026-03/settings"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.hubapi.com/cms/blog-settings/2026-03/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "results": [
    {
      "absoluteUrl": "<string>",
      "allowComments": true,
      "created": "2023-11-07T05:31:56Z",
      "deletedAt": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "htmlTitle": "<string>",
      "id": "<string>",
      "listingPageId": "<string>",
      "name": "<string>",
      "publicAccessRules": [
        {}
      ],
      "publicAccessRulesEnabled": true,
      "publicTitle": "<string>",
      "slug": "<string>",
      "translatedFromId": "<string>",
      "updated": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    },
    "prev": {
      "before": "<string>",
      "link": "<string>"
    }
  }
}
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

クエリパラメータ

after
string

最後に正常に読み取られたリソースのページ操作カーソルトークンは、より多くの結果を含むページ付きレスポンスのpaging.next.after JSONプロパティーとして返されます。

archived
boolean

アーカイブ済みのブログを返すかどうかを指定します。デフォルト値は「false」です。

createdAfter
string<date-time>

指定された時間より後に作成されたブログのみを返します。

createdAt
string<date-time>

指定された時間ちょうどに作成されたブログのみを返します。

createdBefore
string<date-time>

指定された時間より前に作成されたブログのみを返します。

limit
integer<int32>

返す結果の最大数。デフォルト値は100です。

sort
string[]

結果の並べ替えに使用するフィールドを指定します。有効なフィールドは「name」と「id」です

updatedAfter
string<date-time>

指定された時間より後に最後に更新されたブログのみを返します。

updatedAt
string<date-time>

指定された時間ちょうどに最後に更新されたブログのみを返します。

updatedBefore
string<date-time>

指定された時間より前に最後に更新されたブログのみを返します。

レスポンス

successful operation

results
object[]
必須
total
integer<int32>
必須
paging
object
最終更新日 2026年4月10日